curl --request PUT \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}/component-impacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"componentImpacts": [
{
"componentId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}/component-impacts"
payload = { "componentImpacts": [
{
"componentId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
componentImpacts: [
{
componentId: '<string>',
startedAt: '2023-11-07T05:31:56Z',
endedAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}/component-impacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"statusPageId": "<string>",
"name": "<string>",
"lastUpdateStatus": "INVESTIGATING",
"created_at": "2023-12-25",
"incidentUpdates": [
{
"description": "<string>",
"status": "INVESTIGATING",
"id": "<string>",
"created_at": "2023-12-25",
"publicIncidentUpdateDate": "2026-08-31T13:12:43.392Z",
"notifySubscribers": false
}
],
"duration": 123,
"componentImpacts": [
{
"componentId": "<string>",
"status": "OPERATIONAL",
"startedAt": "2023-12-25",
"endedAt": "2023-12-25"
}
],
"updated_at": "2023-12-25"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Replace an incident's component impact timeline.
Replace the full impact timeline of an incident with explicit per-component windows (retroactive editing).
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Body
Show child attributes
Show child attributes
Response
Successful
INVESTIGATING, IDENTIFIED, MONITORING, RESOLVED Show child attributes
Show child attributes
Seconds from the first update to the resolving update; null while ongoing.
Show child attributes
Show child attributes
Was this page helpful?